﻿
$ErrorActionPreference = 'Stop';
$url32        = 'http://dl.delivery.mp.microsoft.com/filestreamingservice/files/cd1ebfbb-b2ef-4b0d-93b0-f31afcec37ae/MicrosoftEdgeBetaEnterpriseX86.msi'
$url64      = 'http://dl.delivery.mp.microsoft.com/filestreamingservice/files/4f6c9c38-76f1-437c-903d-81401b25b588/MicrosoftEdgeBetaEnterpriseX64.msi'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  fileType      = 'MSI'
  url           = $url32
  url64bit      = $url64

  softwareName  = 'Microsoft Edge Beta'

  checksum32    = '3c29954b706389193c83cbb2b3927a247a7390536be82f9e5453bb491b5627a3'
  checksumType  = 'sha256'
  checksum64    = '01c98f3170cab6795197dce044efd1715e1ebafb899de4d9760e46095ef80091'
  checksumType64= 'sha256'

  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs










    








